<?php
/**
 * Functions related to front-end display
 *
 * @class 	WC_Affilae_Display
 * @version 1.0.0
 * @since   1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class WC_Affilae_Display {

	/**
	 * __construct function.
	 *
	 * @access public
	 * @return void
	 */
	public function __construct() {
		// All pages
		add_action( 'wp_footer', array( $this, 'add_affilae_script' ), 10 );
	}


	/*-----------------------------------------------------------------------------------*/
	/* All pages Display Functions */
	/*-----------------------------------------------------------------------------------*/


	public function add_affilae_script() {
		$key = get_option( 'wc_affilae_program_id' );

		// display the template
		wc_get_template(
			'all/tracking.php',
			array( 'key' => $key ),
			FALSE,
			WC_Affilae::$dir . '/templates/' );
	}

} //end class
